#!/usr/bin/env python2
#encoding: windows-1252

# To change this license header, choose License Headers in Project Properties.
# To change this template file, choose Tools | Templates
# and open the template in the editor.

import sys

class Atleta():
    def __init__(self, codigo, tempo):
        self.codigo = codigo
        self.tempo = tempo

def ConvSeg(tempo):
#    print(tempo)
    horas = int(tempo[0:2])
    minutos = int(tempo[3:5])
    segundos = int(tempo[6:])
    return horas * 3600 + minutos * 60 + segundos

if __name__ == "__main__":
    while True:
        linha = raw_input()
    
        if linha in '0':
            break

        q = int(linha);

        atletas = []
        
        for x in range(0, q):
            linha = raw_input()
            temp = linha.split(" ")
            segundos = 0
            for y in range (1, 11): 
                segundos += ConvSeg(temp[y]);
                
            atletas.append(Atleta(temp[0],segundos))

        atletasord = sorted(atletas, key=lambda Atleta: Atleta.tempo, reverse=False)
            
    for a in atletasord:
#        print("%s %i" % (a.codigo, a.tempo))
        print(a.codigo)

    sys.exit()